Subject: [Rmt] FLUTE SDP specification - security parameters relevant for the session

From: Jani Peltotalo <[email-masked]>
Date: Fri, 15 Oct 2010 16:13:34 +0300

Dear RMTers,

We have been looking at security considerations in LCT, ALC, FLUTE
specifications. None of those really specifies that anything should be
signaled in the SDP.  So we need some help.

Although we thought about attributes for the server (URL) and
key/certificate (e.g. key id), we realized that we are not expert enough
to know if this is either general or specific enough for all of PKI, PGP
web of trust and pre-configured receivers.

It might be also possible that this kind thing has been specified before
in SDP or for multicast? (We want to avoid getting in deep and
effectively specifying a new key exchange protocol. We only want to
enable receivers to know if and how the very first contact in a
bootstrap is needed. The SDP k= semantics seem too basic for a PKI or a
PGP).

Cheers, Jani&Rod